﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace TabControlSort
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		private People people = new People();

		public Window1()
		{
			InitializeComponent();
			this.tabControl1.ItemsSource = this.people;
		}

		private void Ascending_Click(object sender, RoutedEventArgs e)
		{
			ICollectionView view = CollectionViewSource.GetDefaultView(this.people);
			view.SortDescriptions.Clear();
			view.SortDescriptions.Add(new SortDescription("Name", ListSortDirection.Ascending));
		}

		private void Descending_Click(object sender, RoutedEventArgs e)
		{
			ICollectionView view = CollectionViewSource.GetDefaultView(this.people);
			view.SortDescriptions.Clear();
			view.SortDescriptions.Add(new SortDescription("Name", ListSortDirection.Descending));
		}
	}

	public class People : ObservableCollection<Person>
	{
		public People()
		{
			this.Add(new Person { Name = "John" });
			this.Add(new Person { Name = "Mike" });
			this.Add(new Person { Name = "Steve" });
			this.Add(new Person { Name = "Jennifer" });
			this.Add(new Person { Name = "Lisa" });
			this.Add(new Person { Name = "Paul" });
			this.Add(new Person { Name = "Valio" });
			this.Add(new Person { Name = "Miro" });
			this.Add(new Person { Name = "Vladi" });
		}
	}

	public class Person
	{
		public string Name { get; set; }
	}
}
